API ReferenceUsers
Retrieve user information
GET
Retrieves information about the currently authenticated user.
Analytics Events
USER_USERINFO_RETRIEVE_STARTUSER_USERINFO_RETRIEVE_SUCCESSUSER_USERINFO_RETRIEVE_FAIL
bearerAuthheader
AuthorizationBearer <token>User information retrieved.
application/json- response
id*stringUser's unique identifier.
email?stringUser's email address.
name?stringUser's full name.
pricingPlan*The pricing plan associated with a user.
status*UserStatusIndicates the user's registration status:
- Active: User has accepted their invite and registered with the MATTR Self Service Portal.
- Pending: An invite was sent to the user, but they had not registered yet.
- Invite Expired: The registration invite had expired before the user registered.
- Disabled: The user has been disabled in the MATTR Self Service Portal.
Value in
"Pending""Active""Invite Expired""Disabled"connectionStrategy?stringThe authentication strategy used to log in.
Value in
"auth0""oidc""waad""samlp"curl -X GET "https://example.com/v1/userinfo"{ "id": "8f6d40a9-d913-45e8-aa3e-8c99d62cd8fb", "email": "john-doe@example.com", "name": "John Doe", "pricingPlan": { "type": "Standard", "endDate": "2019-08-24T14:15:22Z" }, "status": "Active", "connectionStrategy": "auth0"}How would you rate this page?